aboutsummaryrefslogtreecommitdiffstats
path: root/community/mysecureshell
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-11-27 16:00:44 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-11-27 16:00:44 +0100
commit80850b5aa47aef84c29e8bce9bb033811884f282 (patch)
tree9ce22510c73525d4fb1ed166c116f537a99dbe55 /community/mysecureshell
parentc04a29686c802893e354090905ed880b821954a1 (diff)
downloadaports-80850b5aa47aef84c29e8bce9bb033811884f282.tar.gz
aports-80850b5aa47aef84c29e8bce9bb033811884f282.tar.bz2
aports-80850b5aa47aef84c29e8bce9bb033811884f282.tar.xz
community/mysecureshell: move from testing
Diffstat (limited to 'community/mysecureshell')
-rw-r--r--community/mysecureshell/0001-include-types.h.patch66
-rw-r--r--community/mysecureshell/APKBUILD45
-rw-r--r--community/mysecureshell/mysecureshell.post-deinstall3
-rw-r--r--community/mysecureshell/mysecureshell.post-install3
4 files changed, 117 insertions, 0 deletions
diff --git a/community/mysecureshell/0001-include-types.h.patch b/community/mysecureshell/0001-include-types.h.patch
new file mode 100644
index 0000000000..03ad2f50b2
--- /dev/null
+++ b/community/mysecureshell/0001-include-types.h.patch
@@ -0,0 +1,66 @@
+From: Jakub Jirutka <jakub@jirutka.cz>
+Date: Fri, 6 May 2016 00:09:09 +0200
+Subject: [PATCH] Fix missing include sys/types.h
+
+Without this patch compilation on musl libc fails with:
+
+ unknown type name 'u_int32_t'
+ unknown type name 'u_int64_t'
+---
+ SftpServer/Encode.c | 1 +
+ SftpServer/Handle.c | 1 +
+ SftpState/Main.c | 1 +
+ SftpWho/Main.c | 1 +
+ 4 files changed, 4 insertions(+)
+
+diff --git a/SftpServer/Encode.c b/SftpServer/Encode.c
+index a41c630..31a6b90 100644
+--- a/SftpServer/Encode.c
++++ b/SftpServer/Encode.c
+@@ -20,6 +20,7 @@
+ #include "../config.h"
+ #include <errno.h>
+ #include <sys/ioctl.h>
++#include <sys/types.h>
+ #include <grp.h>
+ #include <pwd.h>
+ #include <stdlib.h>
+diff --git a/SftpServer/Handle.c b/SftpServer/Handle.c
+index 5f795ac..2f367be 100644
+--- a/SftpServer/Handle.c
++++ b/SftpServer/Handle.c
+@@ -18,6 +18,7 @@
+ */
+
+ #include "../config.h"
++#include <sys/types.h>
+ #include <errno.h>
+ #include <stdio.h>
+ #include <stdlib.h>
+diff --git a/SftpState/Main.c b/SftpState/Main.c
+index 0e9398f..70cbb88 100644
+--- a/SftpState/Main.c
++++ b/SftpState/Main.c
+@@ -18,6 +18,7 @@ Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
+ #include "../config.h"
++#include <sys/types.h>
+ #include <errno.h>
+ #include <fcntl.h>
+ #include <stdio.h>
+diff --git a/SftpWho/Main.c b/SftpWho/Main.c
+index 455da4a..25dcbf3 100644
+--- a/SftpWho/Main.c
++++ b/SftpWho/Main.c
+@@ -19,6 +19,7 @@ Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ */
+
+ #include "../config.h"
++#include <sys/types.h>
+ #include <stdio.h>
+ #include <time.h>
+ #include <stdlib.h>
+--
+2.8.1
+
diff --git a/community/mysecureshell/APKBUILD b/community/mysecureshell/APKBUILD
new file mode 100644
index 0000000000..2c8b62d904
--- /dev/null
+++ b/community/mysecureshell/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Jakub Jirutka <jakub@jirutka.cz>
+# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
+pkgname=mysecureshell
+pkgver=2.00
+pkgrel=0
+pkgdesc="A solution which has been made to bring more features to sftp/scp protocol given by OpenSSH."
+url="https://github.com/mysecureshell/mysecureshell"
+arch="all"
+license="GNU"
+depends="openssh"
+makedepends="musl-dev"
+install="$pkgname.post-install $pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz
+ 0001-include-types.h.patch
+ "
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --with-shutfile=/var/lib/misc/sftp.shut \
+ || return 1
+ make all
+}
+
+package() {
+ cd "$builddir"
+
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="f5025cf44a607e8cbb360c2d74da2076 mysecureshell-2.00.tar.gz
+b3bfc3ef1cfac921c32e4193b65566bf 0001-include-types.h.patch"
+sha256sums="05fbcc407a61a06f980581320e7df46bbb7cf2d2ae253cae79f716bda0940890 mysecureshell-2.00.tar.gz
+5c0d585ee41722d355feac65e8407e7a1c692f7ec6ae46fa33b3858ccc52d0d4 0001-include-types.h.patch"
+sha512sums="956404bfcb48e2838e8b0eeea9ee5b07de70fd51480f3c98c1029c627d914adde483bb85e877e1ca206c376ed803205a20e1b90a74c5218d9cc9338a9a1f626b mysecureshell-2.00.tar.gz
+ba0e5e02740118d9c6d7ec3e4c122b90269ebf2dd73a35e409cb118a125989debf8149ed87bb3b96bed755ce886ffa6ebf293b70937f93f02c73e71304250aad 0001-include-types.h.patch"
diff --git a/community/mysecureshell/mysecureshell.post-deinstall b/community/mysecureshell/mysecureshell.post-deinstall
new file mode 100644
index 0000000000..06267807e0
--- /dev/null
+++ b/community/mysecureshell/mysecureshell.post-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+remove-shell '/usr/bin/mysecureshell'
+exit 0
diff --git a/community/mysecureshell/mysecureshell.post-install b/community/mysecureshell/mysecureshell.post-install
new file mode 100644
index 0000000000..57ede0fa63
--- /dev/null
+++ b/community/mysecureshell/mysecureshell.post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+add-shell '/usr/bin/mysecureshell'
+exit 0